program laz2wiringPi;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes, h2wiringpi
  { you can add units after this };

{$R *.res}
var
 i : longint;


begin

  writeln('Starting RaspberryPi');
  If wiringPiSetup <> -1 then // Setup Hardware (Gordons magic)
   Begin
    pinMode (P3, INPUT); // Pin 3 SDA0 - Has on-board 2k2 pull-up resistor
    pinMode(P7, OUTPUT);
    pinMode(P12, PWM_OUTPUT); //PWM only possible on P12
    While true do
    begin
     If digitalRead(P3) = 0 Then writeln('Pulled Low'); // If P3 gets pulled to ground
     pwmWrite (P12,0);
     digitalWrite(P7,HIGH); //Turn LED on P7 on
     delay(800);
     digitalWrite(P7,LOW); //Turn LED on P7 off
     for i:= 0 to 1023 do //Loop to make the LED on P12 grow brighter
      begin
       pwmWrite (P12,i);
       delay(2);
      end;
     for i:= 1023 downto 0 do //Loop to make the LED on P12 go dimmer
      begin
       pwmWrite (P12,i);
       delay(2);
      end;
    end;
    end
  Else
   Begin
    writeln('Error Setting up the RaspberryPi');
   End;
end.

